function W = qqWeight(N,q)
% Generates spatial weight matrix
% "q ahead and q behind"

w = 1/2/q;
r = zeros(1,N);
for i = 2:q+1
    r(i) = w;
end
for i = N-q+1:N
    r(i) = w;
end
W = zeros(N,N);
for i=1:N
    W(i,:) = circshift(r',i-1)';
end

end